<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');
if ($prava_rubrika_uredi!=1) die('Nedozvoljen pristup!');


// list expected fields
$expected = array('q_naslov', 'q_opis');
// set req_uired fields
$required = array('q_naslov');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {
	
		
	//insert new data in database
	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_opis=uredi_var($q_opis);
	
	//nova pozicija
	$sql99 = "select pozicija from b7_rubrika order by pozicija desc limit 1";
	$rez99=mysql_query($sql99,$conn);
	if ($rez99) {
		$row99=mysql_fetch_array($rez99);
		$pozicija=$row99[0];
		$pozicija++;
	}
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_opis_mysql=mysql_real_escape_string($q_opis);
	
	$result = mysql_query("insert into b7_rubrika values (
							'',
							'$q_naslov_mysql',
							'$q_opis_mysql',
							now(),
							'$log_username',
							'$pozicija',
							'1'							
							 )");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno dadana nova rubrika <strong>'.$q_naslov.'</strong> u bazu<br />';
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju zapisa u bazi';
}
?>
<div id="main_content">
<h1>Spremanje nove rubrike u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_rubrike">Povratak...</a>
</div>